v2.4.2 - 30/11/2025
	Added a section in the manual about macOS networking permissions for exporting to an Ultimate device
	Persist destination folders also when they are typed into a file chooser dialog without actual navigation to them
	The main canvas is always updated when a reference image is opened
	Improved the arrangement of data for Koala Painter output images
	Added a few more sample projects

v2.4.1 - 22/02/2025
	Fixed the cleanup of storage when a project preview cannot be generated, e.g. due to unsupported format

v2.4.0 - 19/02/2025
	Added a menu item to enable or disable the CRT emulation filter for the preview window
	Fixed a bug occurring in hires mode when dragging a selection
	Always use the secondary pen color when cutting or deleting rectangular regions in hires mode
	Always use the secondary pen color for transparent selections in hires mode

v2.3.0 - 11/02/2025
	Slightly optimised the Commodore 64 code for displaying multicolor extended artwork
	Also replace the border color when replacing colors in extended hires mode, if necessary and no selection is active
	Rewritten the fill tool implementation
	32-Bit PNG images can now be converted too, instead of just 24-Bit ones
	The color of the upper and lower border is now shown correctly in the image conversion dialog for non-extended hires pictures
	The manual was updated with additional information
	Added a few more sample projects

v2.2.3 - 31/01/2025
	Added pre-flight checks before using shortcuts for undo/redo in the preview window

v2.2.2 - 31/01/2025
	Opening a project while a floating selection is active now works as expected
	Added pre-flight checks for macOS before using alternative CMD-based shortcuts for undo/redo

v2.2.1 - 26/01/2025
	Applied Joachim's UI adjustments to the file chooser and the file overwrite confirmation dialogs

v2.2.0 - 21/01/2025
	Generate a preview when hovering on a recent project's name in the "File->Open Recent" menu group (Windows and Linux only)
	Added three new Lua functions to set background, border, and common multi-color sprite colors
	Correctly update pen color indicators on the main window after confirming an image conversion
	Implemented a number of UI/UX changes as per Joachim's design
	Further improved the handling of modal windows and dialogs under macOS
	Connecting lines (Shift key and mouse click) are now previewed with the same thickness as the brush size
	Added a Help menu item to access the (online) documentation
	Added the Kaleidoscope symmetry mode
	Added a few more sample projects

v2.1.3 - 20/01/2025
	Prevent race conditions for the image conversion process that were accidentally introduced in v2.1.0

v2.1.2 - 16/01/2025
	The background color is not erroneously prevented from assuming one of the common MC sprite colors in non-extended mode

v2.1.1 - 13/01/2025
	The color index argument of Lua functions is now sanitised

v2.1.0 - 07/01/2025
	The code to draw thick lines and brushes was completely rewritten
	Circular brushes are now used instead of square ones
	The zoom level is set for best fit when the application is started and when a new project is created
	All colors are reset to their default values when a new project is created
	Temporary PRG files can now be moved across devices when a project is exported
	Drawing in symmetry drawing mode was greatly optimised
	The maximum brush size (i.e. diameter) was increased from 16 to 24 pixels
	MC sprite colors cannot be set to the same value or to the background color value, including during PNG image conversion
	Improved the handling of modal windows and dialogs under macOS
	Consistently customise window and dialog icons under Linux
	Updated the Exomizer executable to version 3.1.2 and the Lua library to version 5.4.7
	Updated the Windows build toolchain to use gcc 14.2.0 and the macOS one to use Clang 14.0.0
	Fixed the display of the version of Clang in the About dialog under macOS
	Slightly refactored the Commodore 64 code for displaying extended artwork
	The correct preview is now generated when saving a project while leaving out changes in the redo part of the history
	Refactored the project format and simplified the mechanism to embed a preview in project files (not backward compatible)
	Also show a preview when browsing for sprites to import
	Update the application's title bar even when re-opening the same image currently open, so its saved status is updated
	Added a dialog to display project properties (number of workstages, number of colors used, creation date, etc.)
	Added the Colodore palette
	Added a basic CRT emulation filter for the preview window (right mouse click on the preview window or Tab key to enable)
	Added a few more sample projects

v2.0.2 - 01/11/2024 (macOS only)
	Fixed syntax highlighting for the scripting window under macOS after breaking it again during a Linux build optimisation

v2.0.1 - 17/10/2024
	Fixed the logic to reposition the pencil for connecting lines when undoing or redoing changes
	Fixed the setting of border color in non-extended hires mode
	Fixed the clipping region for flood fill in extended hires mode
	Fixed the visibility of connecting lines so that they are visible with any background color

v2.0.0 - 21/09/2024
	When the pixel pen tool is active, pressing a Shift key and clicking a mouse button draws a connecting line to the mouse pointer position
	Persist the open/closed state of the script and preview windows too
	Fixed the lookup of sprite attribute byte from the previous row when color switching is not allowed
	Added the option to drag the program into the Applications folder when mounting the DMG for macOS
	Added a few more sample projects
	Rationalised several UI items/wording
	Added support for embedding a preview in project files (not backward compatible)
	Show '(unsaved)' in the application's title bar to advise a project has changes not yet saved to file
	Added the "Open Recent" menu, including dynamic removal of invalid entries
	PRG files are saved and exomized in a temporary folder before being moved to their user-selected location
	PRG file export runs in a separate thread
	Added support for sending PRG files to an Ultimate device
	The actual fraction of work completed is now tracked by the progress bar while loading/saving a project or saving workstages
	Added a context menu to keep the preview window on top (right click on the preview window)

v1.2.1 - 26/07/2024
	Fixed the logic for saving project files

v1.2.0 - 12/07/2024
	Added support for creating non-extended images
	Fixed background/border color display widget update when starting a new project
	Added a few more sample projects

v1.1.2 - 26/03/2024
	Added avatars to the About dialog and slightly refactored its contents
	Fixed syntax highlighting for the scripting window under macOS
	Revised the drawstar() Lua function to only accept the star's width and automatically calculate its height to guarantee radial symmetry
	Added support for Drean (PAL-N) systems to the stable code for the Commodore 64
	Added another sample project

v1.1.1 - 26/12/2023
	Fixed the coordinate validation for flood fill to avoid a memory access violation

v1.1.0 - 25/12/2023
	Added support for rectangular selections (drag, cut, copy, and paste), solid or transparent
	Added support for symmetrical (horizontal, vertical, quadrant, and bisected quadrant) drawing and flood fill
	Added support for flipping (horizontally or vertically) canvas and selection contents
	Added the option to load transparent PNG images into a separate layer to be used as a drawing reference, which can be hidden and shown as needed
	Added the option for setting the aspect ratio of pixels (1:1, PAL, or NTSC) for the main canvas and the preview window
	Added the option to reset image adjustment curve properties when importing PNG images
	Added the option to set font properties for the scripting window (part of the Preferences dialog)
	Added two new Lua functions to draw hollow and filled rectangles
	Added two new Lua functions to draw ellipses and provide a strong reference for drawing circles when targeting PAL or NTSC displays
	Added the option to generate random shapes using the Pareidolia menu item
	Added shortcuts for setting the color of pen 1 to values in the range 8-15
	When opening a project or importing a PNG image the main canvas is now zoomed for best fit
	Corrected the display of the current graphic mode in the main window's status bar
	Fixed color swapping and replacing so that they only modify the editable area and correctly process color clashing
	Multiple instances of dialogs that require user interaction cannot be erroneously created any longer by users under macOS
	Added a few more sample projects

v1.0.50 - 11/10/2023
	Moved all transformation logic to a reusable transformation module
	Multiple instances of the PNG import and about dialogs are not erroneously created any longer under macOS
	Added support for creating hires standard artwork (with a few hardware-induced caveats)
	Extended the project file format (now at version 2) to accommodate a project's graphic mode (standard/multicolor)
	Added constraints for the position of new knots in the image adjustment widget when importing PNG images
	Non-ASCII and space characters in the application path won't impair the execution of Exomizer under *nix

v1.0.49 - 22/07/2023
	The Lua function drawclear() now creates a checkpoint only if it makes changes to the project
	Added the image adjustment functionality when importing PNG images
	The project is not reset any longer when a PNG image is imported

v1.0.48 - 08/07/2023
	The project name is now reset to "Untitled.alb" also when a PNG image is imported
	Added support for "Attribute Byte Format" in order to preserve individual colors when importing sprites from Sprite Pad (use the Preferences dialog to activate)
	The brush size can now also be changed with the '[' and ']' keys
	Accept Koala Painter images even if they load at non-conventional addresses ($2000 or $4000)

v1.0.47 - 06/04/2023
	Improved the visibility of the pixel grid by using a per pixel color

v1.0.46 - 28/03/2023
	Switched theme to Vertex (dark) with Joachim's adjustments
	Added a few alternative accelerators for the macOS build that use the Command key (o, s, Shift+s, e, Shift+e, z, Shift+z, 0, Home, +, -, Shift+r)

v1.0.45 - 25/03/2023
	Moved the functionality of the 's' key to the 'x' key and the one of the 'x' key to Shift + 'z'.
	When importing a PNG image, its basename is now used to generate a suitable project name upon saving
	Grouped configurable options in a new Preferences dialog

v1.0.44 - 23/03/2023
	When reference grids are active, pressing the 'x' key toggles the pixel grid on and off
	The functionality to export to an executable PRG will request a filename if a different project has been loaded since the last time one was exported to an executable
	Pressing the 'a' key replaces pixel color from pen 2's to pen 1's
	Pressing the 's' key swaps pixel color from pen 2's to pen 1's

v1.0.43 - 21/03/2023
	Center PNG thumbnails smaller than 416x200 in the preview widget of the PNG file open dialog
	Show image dimensions in the preview widget of the PNG file open dialog

v1.0.42 - 20/03/2023
	When reference grids are active, pressing the 'z' key switches their color between two different shades of grey, instead of flashing them
	Also show a preview when browsing for PNG images to import
	Added a few more palettes

v1.0.41 - 20/03/2023
	When reference grids are active, pressing the 'z' key flashes them briefly
	Specialised two message dialogs for user confirmation when unsaved redo changes are in the history

v1.0.40 - 20/03/2023
	Standardised all message dialogs using Joachim's icons

v1.0.39 - 18/03/2023
	Added the functionality to reset the main canvas rotation
	Changed a few menu items slightly, according to Joachim's design
	Display the rotation angle in degrees
	Draft implementation of the PNG import logic

v1.0.38 - 16/03/2023
	Rearranged the status bar slightly to provide more room to the zoom and rotation section
	Rewritten the logic to request confirmation from users only if there are unsaved project changes

v1.0.37 - 15/03/2023
	Display zoom level as a percentage rather than as a factor
	Request confirmation from users if their action might result in unsaved project changes being lost
	Implemented the menu item to start a new project
	Added support for project file drag'n'drop on the main window

v1.0.36 - 11/03/2023
	Added support for handling compressed checkpoints in memory

v1.0.35 - 04/03/2023
	Added the functionality to replace the background color
	Added Lua functions to set brush size and to draw brush
	A checkpoint is created when a color is replaced, regardless of whether there are pixels affected by the change

v1.0.34 - 29/01/2023
	Made color widgets larger

v1.0.33 - 29/01/2023
	The current drawing mode is now displayed in the status bar

v1.0.32 - 29/01/2023
	The brush size is now displayed in the status bar

v1.0.31 - 27/01/2023
	Added initial support for variable brush size, which can be changed with the ',' and '.' keys

v1.0.30 - 24/01/2023
	Limit the main canvas rotation angle to the range ]-Pi, Pi] (]-180, 180])
	Snap to the closest multiple of Pi/12 (15 degrees) when a Shift key is pressed while rotating the main canvas
	If there are redo changes in the history, let the user decide whether they should be included upon saving a project or exporting work-stages

v1.0.29 - 20/01/2023
	When saving a project or exporting work-stages, the changes in the redo part of the history are now ignored
	Moved toolbar widgets around as per Joachim's request

v1.0.28 - 18/01/2023
	Switched to multi-threading for opening/saving project files and work-stages, offering users the ability to cancel such tasks too

v1.0.27 - 16/01/2023
	Made the source view widget available to the macOS build too

v1.0.26 - 15/01/2023
	Added Lua functions to disable automatic refresh of the drawing and force one only when needed, e.g. when an animation frame is complete

v1.0.25 - 14/01/2023
	Significant speed increase for all Lua functions
	Added the Lua function to perform flood fill
	Changed the key shortcut to perform main canvas rotation to 'r'
	Display the current zoom level and rotation angle of the main canvas in the status bar
	Display the current char and sprite position under the mouse pointer in the status bar

v1.0.24 - 14/01/2023
	Made a few adjustments to the checkpointing logic
	When a Lua script is executed, checkpointing is always disabled and has to be enabled by the user either globally or for each draw operation
	Fixed sprite color lookup for two edge cases when exporting to an executable PRG file

v1.0.23 - 14/01/2023
	Added the functionality to export a project to an executable PRG file with a new filename
	Fixed an issue with exporting the first row of sprites

v1.0.22 - 13/01/2023
	Added the functionality to export a project to an executable PRG file

v1.0.21 - 13/01/2023
	Don't allow users to set MC colors to the same one otherwise pixels will be merged
	Enhanced the logic that affects the reference grid thickness as per Joachim's request

v1.0.20 - 12/01/2023
	Use the same key shortcuts to show and hide other windows (F8/F9)

v1.0.19 - 12/01/2023
	Persist the position of the script and preview windows too

v1.0.18 - 12/01/2023
	Completed the main canvas rotation feature

v1.0.17 - 12/01/2023
	Added the functionality to save to an existing project
	Added the ALBERT logo overlay in the background of the canvases

v1.0.16 - 11/01/2023
	Added the preview window

v1.0.15 - 10/01/2023
	Compress data in project files but keep backward compatibility

v1.0.14 - 10/01/2023
	The rotation of the canvas now tracks user gestures
	Zoom level and rotation of the canvas are reset when opening a project

v1.0.13 - 09/01/2023
	Added a preview of the canvas rotation feature

v1.0.12 - 09/01/2023
	Added the background color display widget in the toolbar
	Added the functionality to clear the history of changes

v1.0.11 - 09/01/2023
	Added the functionality to import sprites
	Refactored the multicolor image decoder

v1.0.10 - 08/01/2023
	Added the functionality to load and save projects
	Use darker colors for the reference grids

v1.0.9 - 08/01/2023
	Draw sprite dependency hints to show where color switching is not allowed
	Moved the script viewer to its own window to prevent contention of key shortcuts
	Minor drawing improvements and fixes
	Added the functionality to import a native multicolor image

v1.0.8 - 06/01/2023
	Lock the pencil drawing horizontally or vertically when one of a Shift keys is pressed

v1.0.7 - 06/01/2023
	Added Lua functions to enable/disable checkpointing, save a checkpoint, and export to PNG
	Customized the file overwrite confirmation dialog, using Joachim's warning icon in it

v1.0.6 - 05/01/2023
	Fixed a wrong function call when the save PNG filechooser is cancelled
	Fixed the coordinate reset logic when single clicking while the pan tool is active
	Enabled support for Lua scripting in the mainstream version
	Added Joachim's further tweaks to the theme and source view styles

v1.0.5 - 03/01/2023
	Pressing the Space key temporarily activates the pan tool

v1.0.4 - 02/01/2023
	Added support for drawing using Lua (distributed as a separate build for alpha testing only)

v1.0.3 - 01/01/2023
	Added Joachim's tweaks to the theme
	Implemented the eraser tool

v1.0.2 - 01/01/2023
	Changed drawing to a continuous stroke

v1.0.1 - 31/12/2022
	Tweaked the theme to use dark assets
	Implemented the controls and logic to change the common colors for multicolor sprites

v1.0.0 - 30/12/2022
	Worked at a complete rewrite of the application and its color clashing backend/logic
	Removed icons from all menu items and buttons, as per Joachim's design
	If the Alt key is pressed, cursor and function change to the color picker's also when the fill tool is active
	Added the option to best fit the canvases to the screen (Ctrl+Home)

v0.0.13 - 29/12/2022
	Extended the Undo/Redo mechanism to the color structure used by the clashing logic
	Revised the size and color of the indicator for pen #2

v0.0.12 - 28/12/2022
	Changed UI slightly, according to the current design by Joachim
	Added the functionality to export artwork to a PNG file

v0.0.11 - 28/12/2022
	The cursor changes from pencil to eye dropper when pressing Alt on the canvas
	Added a tiny optimization that should make drawing slightly faster

v0.0.10 - 27/12/2022
	Added the functionality for saving work-stages to PNG files

v0.0.9 - 27/12/2022
	Always switch to the eye dropper cursor if hovering on the palette drawingarea
	Use (almost) exclusively icons from Joachim
	Added an optional memory-based unlimited Undo/Redo mechanism

v0.0.8 - 26/12/2022
	Restore the previous tool when the color picker tool is used
	Added support for multiple palettes
	Added support for two pen colors

v0.0.7 - 25/12/2022
	Improved the color clashing logic
	Added the persistence of application preferences and main window state

v0.0.6 - 24/12/2022
	Added the option to bind the coordinates zoom is centered at

v0.0.5 - 23/12/2022
	Draft implementation of the color clashing logic

v0.0.4 - 22/12/2022
	Added menu items to select pixel filters
	Added flood fill

v0.0.3 - 22/12/2022
	Added the functionalities to pan and color pick
	Change mouse cursor icon depending on the active tool

v0.0.2 - 20/12/2022
	Added the functionality to zoom at mouse coordinates

v0.0.1 - 17/12/2022
	Initial development version
